Summary: Decompression utility
Name: unalz
Version: 0.65
Release: 3%{?dist}
License: zlib and BSD
Group: Applications/File
URL: http://www.kipple.pe.kr/win/unalz/
Source0: http://www.kipple.pe.kr/win/unalz/%{name}-%{version}.tgz
# We are using the internal zlib
Patch0: unalz-internal-zlib.patch
Patch1: unalz-optflags.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: zlib-devel

%description
Unalz is a utility to decompress .alz files. It supports bzip2/raw format 
transformation, splitting the compressed file into smaller chunks (alz, a00, 
a01, ...), extract password protected .alz files, and CRC checks.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .zlib
%patch1 -p1 -b .optflags

rm -fr zlib

# Fix permissions and encoding issues
for i in $(find . -type f); do
   chmod -x $i
   iconv -f UHC -t UTF8 $i -o $i.utf8
   sed 's|\r||' $i.utf8 > $i.eol
   touch -r $i $i.eol
   mv $i.eol $i
done

%build
export LDFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags} linux-utf8

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p %{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc readme.txt 
%{_bindir}/%{name}

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.65-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.65-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 01 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0.65-1
- Update to 0.65

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.64-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0.64-1
- Update to 0.64

* Thu Jan 15 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0.63-1
- Update to 0.63

* Thu Dec 18 2008 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0.62-1
- Initial Fedora release
